From fa7f789a9ebd8ac59b89673c8fc7f2eeda58483f Mon Sep 17 00:00:00 2001
From: Davide Cavalca <dcavalca@centosproject.org>
Date: Sep 06 2022 10:08:56 +0000
Subject: [PATCH 1/2] Convert to mock templates


---

diff --git a/Makefile b/Makefile
index 0ccd855..e6565dd 100644
--- a/Makefile
+++ b/Makefile
@@ -1,4 +1,5 @@
 .PHONY: install
 
 install:
-	install -Dpm0644 -t $(DESTDIR)/etc/mock mock/*
+	install -Dpm0644 -t $(DESTDIR)/etc/mock mock/*.cfg
+	install -Dpm0644 -t $(DESTDIR)/etc/mock/templates mock/templates/*.tpl
diff --git a/mock/centos-stream-hyperscale-8-aarch64.cfg b/mock/centos-stream-hyperscale-8-aarch64.cfg
index f64058c..8ecee21 100644
--- a/mock/centos-stream-hyperscale-8-aarch64.cfg
+++ b/mock/centos-stream-hyperscale-8-aarch64.cfg
@@ -1,22 +1,11 @@
 include('templates/centos-stream-8.tpl')
 include('templates/epel-8.tpl')
 include('templates/epel-next-8.tpl')
+include('templates/centos-stream-hyperscale-8.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-8-aarch64'
 config_opts['target_arch'] = 'aarch64'
 config_opts['legal_host_arches'] = ('aarch64',)
 
-config_opts['chroot_setup_cmd'] += " centos-release-hyperscale"
-
 config_opts['macros']['%dist'] = ".hs.el8"
 config_opts['macros']['%centos_hs'] = "1"
-
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale]
-name=CentOS Stream $releasever - Hyperscale
-baseurl=http://mirror.centos.org/centos/$releasever-stream/hyperscale/$basearch/packages-main/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/centos-stream-hyperscale-8-x86_64.cfg b/mock/centos-stream-hyperscale-8-x86_64.cfg
index 60ed3e0..681ff61 100644
--- a/mock/centos-stream-hyperscale-8-x86_64.cfg
+++ b/mock/centos-stream-hyperscale-8-x86_64.cfg
@@ -1,22 +1,11 @@
 include('templates/centos-stream-8.tpl')
 include('templates/epel-8.tpl')
 include('templates/epel-next-8.tpl')
+include('templates/centos-stream-hyperscale-8.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-8-x86_64'
 config_opts['target_arch'] = 'x86_64'
 config_opts['legal_host_arches'] = ('x86_64',)
 
-config_opts['chroot_setup_cmd'] += " centos-release-hyperscale"
-
 config_opts['macros']['%dist'] = ".hs.el8"
 config_opts['macros']['%centos_hs'] = "1"
-
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale]
-name=CentOS Stream $releasever - Hyperscale
-baseurl=http://mirror.centos.org/centos/$releasever-stream/hyperscale/$basearch/packages-main/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/centos-stream-hyperscale-9-aarch64.cfg b/mock/centos-stream-hyperscale-9-aarch64.cfg
index 27bca51..63cc78e 100644
--- a/mock/centos-stream-hyperscale-9-aarch64.cfg
+++ b/mock/centos-stream-hyperscale-9-aarch64.cfg
@@ -1,22 +1,11 @@
 include('templates/centos-stream-9.tpl')
 include('templates/epel-9.tpl')
 include('templates/epel-next-9.tpl')
+include('templates/centos-stream-hyperscale-9.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-9-aarch64'
 config_opts['target_arch'] = 'aarch64'
 config_opts['legal_host_arches'] = ('aarch64',)
 
-config_opts['chroot_setup_cmd'] += " centos-release-hyperscale"
-
 config_opts['macros']['%dist'] = ".hs.el9"
 config_opts['macros']['%centos_hs'] = "1"
-
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale]
-name=CentOS Stream $releasever - Hyperscale
-baseurl=http://mirror.stream.centos.org/SIGs/$releasever-stream/hyperscale/$basearch/packages-main/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/centos-stream-hyperscale-9-x86_64.cfg b/mock/centos-stream-hyperscale-9-x86_64.cfg
index a705c8c..5c99280 100644
--- a/mock/centos-stream-hyperscale-9-x86_64.cfg
+++ b/mock/centos-stream-hyperscale-9-x86_64.cfg
@@ -1,22 +1,11 @@
 include('templates/centos-stream-9.tpl')
 include('templates/epel-9.tpl')
 include('templates/epel-next-9.tpl')
+include('templates/centos-stream-hyperscale-9.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-9-x86_64'
 config_opts['target_arch'] = 'x86_64'
 config_opts['legal_host_arches'] = ('x86_64',)
 
-config_opts['chroot_setup_cmd'] += " centos-release-hyperscale"
-
 config_opts['macros']['%dist'] = ".hs.el9"
 config_opts['macros']['%centos_hs'] = "1"
-
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale]
-name=CentOS Stream $releasever - Hyperscale
-baseurl=http://mirror.stream.centos.org/SIGs/$releasever-stream/hyperscale/$basearch/packages-main/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/centos-stream-hyperscale-experimental-8-aarch64.cfg b/mock/centos-stream-hyperscale-experimental-8-aarch64.cfg
index a181829..7e6fd76 100644
--- a/mock/centos-stream-hyperscale-experimental-8-aarch64.cfg
+++ b/mock/centos-stream-hyperscale-experimental-8-aarch64.cfg
@@ -1,22 +1,11 @@
 include('templates/centos-stream-8.tpl')
 include('templates/epel-8.tpl')
 include('templates/epel-next-8.tpl')
+include('templates/centos-stream-hyperscale-experimental-8.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-experimental-8-aarch64'
 config_opts['target_arch'] = 'aarch64'
 config_opts['legal_host_arches'] = ('aarch64',)
 
-config_opts['chroot_setup_cmd'] += " centos-release-hyperscale-experimental"
-
 config_opts['macros']['%dist'] = ".hsx.el8"
 config_opts['macros']['%centos_hs'] = "1"
-
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale-experimental]
-name=CentOS Stream $releasever - Hyperscale Experimental
-baseurl=http://mirror.centos.org/centos/$releasever-stream/hyperscale/$basearch/packages-experimental/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/centos-stream-hyperscale-experimental-8-x86_64.cfg b/mock/centos-stream-hyperscale-experimental-8-x86_64.cfg
index fee69d7..07572fa 100644
--- a/mock/centos-stream-hyperscale-experimental-8-x86_64.cfg
+++ b/mock/centos-stream-hyperscale-experimental-8-x86_64.cfg
@@ -1,22 +1,11 @@
 include('templates/centos-stream-8.tpl')
 include('templates/epel-8.tpl')
 include('templates/epel-next-8.tpl')
+include('templates/centos-stream-hyperscale-experimental-8.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-experimental-8-x86_64'
 config_opts['target_arch'] = 'x86_64'
 config_opts['legal_host_arches'] = ('x86_64',)
 
-config_opts['chroot_setup_cmd'] += " centos-release-hyperscale-experimental"
-
 config_opts['macros']['%dist'] = ".hsx.el8"
 config_opts['macros']['%centos_hs'] = "1"
-
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale-experimental]
-name=CentOS Stream $releasever - Hyperscale Experimental
-baseurl=http://mirror.centos.org/centos/$releasever-stream/hyperscale/$basearch/packages-experimental/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/centos-stream-hyperscale-experimental-9-aarch64.cfg b/mock/centos-stream-hyperscale-experimental-9-aarch64.cfg
index fec0df0..a89a32d 100644
--- a/mock/centos-stream-hyperscale-experimental-9-aarch64.cfg
+++ b/mock/centos-stream-hyperscale-experimental-9-aarch64.cfg
@@ -1,22 +1,11 @@
 include('templates/centos-stream-9.tpl')
 include('templates/epel-9.tpl')
 include('templates/epel-next-9.tpl')
+include('templates/centos-stream-hyperscale-experimental-9.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-experimental-9-aarch64'
 config_opts['target_arch'] = 'aarch64'
 config_opts['legal_host_arches'] = ('aarch64',)
 
-config_opts['chroot_setup_cmd'] += " centos-release-hyperscale-experimental"
-
 config_opts['macros']['%dist'] = ".hsx.el9"
 config_opts['macros']['%centos_hs'] = "1"
-
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale-experimental]
-name=CentOS Stream $releasever - Hyperscale Experimental
-baseurl=http://mirror.stream.centos.org/SIGs/$releasever-stream/hyperscale/$basearch/packages-experimental/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/centos-stream-hyperscale-experimental-9-x86_64.cfg b/mock/centos-stream-hyperscale-experimental-9-x86_64.cfg
index 00ce9fe..69f888f 100644
--- a/mock/centos-stream-hyperscale-experimental-9-x86_64.cfg
+++ b/mock/centos-stream-hyperscale-experimental-9-x86_64.cfg
@@ -1,22 +1,11 @@
 include('templates/centos-stream-9.tpl')
 include('templates/epel-9.tpl')
 include('templates/epel-next-9.tpl')
+include('templates/centos-stream-hyperscale-experimental-9.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-experimental-9-x86_64'
 config_opts['target_arch'] = 'x86_64'
 config_opts['legal_host_arches'] = ('x86_64',)
 
-config_opts['chroot_setup_cmd'] += " centos-release-hyperscale-experimental"
-
 config_opts['macros']['%dist'] = ".hsx.el9"
 config_opts['macros']['%centos_hs'] = "1"
-
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale-experimental]
-name=CentOS Stream $releasever - Hyperscale Experimental
-baseurl=http://mirror.stream.centos.org/SIGs/$releasever-stream/hyperscale/$basearch/packages-experimental/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/centos-stream-hyperscale-spin-8-aarch64.cfg b/mock/centos-stream-hyperscale-spin-8-aarch64.cfg
index a857b7e..febba0a 100644
--- a/mock/centos-stream-hyperscale-spin-8-aarch64.cfg
+++ b/mock/centos-stream-hyperscale-spin-8-aarch64.cfg
@@ -1,22 +1,11 @@
 include('templates/centos-stream-8.tpl')
 include('templates/epel-8.tpl')
 include('templates/epel-next-8.tpl')
+include('templates/centos-stream-hyperscale-spin-8.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-spin-8-aarch64'
 config_opts['target_arch'] = 'aarch64'
 config_opts['legal_host_arches'] = ('aarch64',)
 
-config_opts['chroot_setup_cmd'] += " centos-release-hyperscale-spin"
-
 config_opts['macros']['%dist'] = ".hs.el8"
 config_opts['macros']['%centos_hs'] = "1"
-
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale-spin]
-name=CentOS Stream $releasever - Hyperscale Spin
-baseurl=http://mirror.centos.org/centos/$releasever-stream/hyperscale/$basearch/packages-spin/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/centos-stream-hyperscale-spin-8-x86_64.cfg b/mock/centos-stream-hyperscale-spin-8-x86_64.cfg
index 6c5a891..acbf0cd 100644
--- a/mock/centos-stream-hyperscale-spin-8-x86_64.cfg
+++ b/mock/centos-stream-hyperscale-spin-8-x86_64.cfg
@@ -1,22 +1,11 @@
 include('templates/centos-stream-8.tpl')
 include('templates/epel-8.tpl')
 include('templates/epel-next-8.tpl')
+include('templates/centos-stream-hyperscale-spin-8.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-spin-8-x86_64'
 config_opts['target_arch'] = 'x86_64'
 config_opts['legal_host_arches'] = ('x86_64',)
 
-config_opts['chroot_setup_cmd'] += " centos-release-hyperscale-spin"
-
 config_opts['macros']['%dist'] = ".hs.el8"
 config_opts['macros']['%centos_hs'] = "1"
-
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale-spin]
-name=CentOS Stream $releasever - Hyperscale Spin
-baseurl=http://mirror.centos.org/centos/$releasever-stream/hyperscale/$basearch/packages-spin/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/centos-stream-hyperscale-spin-9-aarch64.cfg b/mock/centos-stream-hyperscale-spin-9-aarch64.cfg
index 06ca8ff..f33ee8d 100644
--- a/mock/centos-stream-hyperscale-spin-9-aarch64.cfg
+++ b/mock/centos-stream-hyperscale-spin-9-aarch64.cfg
@@ -1,22 +1,11 @@
 include('templates/centos-stream-9.tpl')
 include('templates/epel-9.tpl')
 include('templates/epel-next-9.tpl')
+include('templates/centos-stream-hyperscale-spin-9.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-spin-9-aarch64'
 config_opts['target_arch'] = 'aarch64'
 config_opts['legal_host_arches'] = ('aarch64',)
 
-config_opts['chroot_setup_cmd'] += " centos-release-hyperscale-spin"
-
 config_opts['macros']['%dist'] = ".hs.el9"
 config_opts['macros']['%centos_hs'] = "1"
-
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale-spin]
-name=CentOS Stream $releasever - Hyperscale Spin
-baseurl=http://mirror.stream.centos.org/SIGs/$releasever-stream/hyperscale/$basearch/packages-spin/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/centos-stream-hyperscale-spin-9-x86_64.cfg b/mock/centos-stream-hyperscale-spin-9-x86_64.cfg
index 4e38fae..617f42c 100644
--- a/mock/centos-stream-hyperscale-spin-9-x86_64.cfg
+++ b/mock/centos-stream-hyperscale-spin-9-x86_64.cfg
@@ -1,22 +1,11 @@
 include('templates/centos-stream-9.tpl')
 include('templates/epel-9.tpl')
 include('templates/epel-next-9.tpl')
+include('templates/centos-stream-hyperscale-spin-9.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-spin-9-x86_64'
 config_opts['target_arch'] = 'x86_64'
 config_opts['legal_host_arches'] = ('x86_64',)
 
-config_opts['chroot_setup_cmd'] += " centos-release-hyperscale-spin"
-
 config_opts['macros']['%dist'] = ".hs.el9"
 config_opts['macros']['%centos_hs'] = "1"
-
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale-spin]
-name=CentOS Stream $releasever - Hyperscale Spin
-baseurl=http://mirror.stream.centos.org/SIGs/$releasever-stream/hyperscale/$basearch/packages-spin/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/templates/centos-stream-hyperscale-8.tpl b/mock/templates/centos-stream-hyperscale-8.tpl
new file mode 100644
index 0000000..87f2eff
--- /dev/null
+++ b/mock/templates/centos-stream-hyperscale-8.tpl
@@ -0,0 +1,11 @@
+config_opts['chroot_setup_cmd'] += " centos-release-hyperscale"
+
+config_opts['dnf.conf'] += """
+
+[Stream-hyperscale]
+name=CentOS Stream $releasever - Hyperscale
+baseurl=http://mirror.centos.org/centos/$releasever-stream/hyperscale/$basearch/packages-main/
+gpgcheck=1
+enabled=1
+gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
+"""
diff --git a/mock/templates/centos-stream-hyperscale-9.tpl b/mock/templates/centos-stream-hyperscale-9.tpl
new file mode 100644
index 0000000..5eb9ef4
--- /dev/null
+++ b/mock/templates/centos-stream-hyperscale-9.tpl
@@ -0,0 +1,11 @@
+config_opts['chroot_setup_cmd'] += " centos-release-hyperscale"
+
+config_opts['dnf.conf'] += """
+
+[Stream-hyperscale]
+name=CentOS Stream $releasever - Hyperscale
+baseurl=http://mirror.stream.centos.org/SIGs/$releasever-stream/hyperscale/$basearch/packages-main/
+gpgcheck=1
+enabled=1
+gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
+"""
diff --git a/mock/templates/centos-stream-hyperscale-experimental-8.tpl b/mock/templates/centos-stream-hyperscale-experimental-8.tpl
new file mode 100644
index 0000000..3a90c9c
--- /dev/null
+++ b/mock/templates/centos-stream-hyperscale-experimental-8.tpl
@@ -0,0 +1,11 @@
+config_opts['chroot_setup_cmd'] += " centos-release-hyperscale-experimental"
+
+config_opts['dnf.conf'] += """
+
+[Stream-hyperscale-experimental]
+name=CentOS Stream $releasever - Hyperscale Experimental
+baseurl=http://mirror.centos.org/centos/$releasever-stream/hyperscale/$basearch/packages-experimental/
+gpgcheck=1
+enabled=1
+gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
+"""
diff --git a/mock/templates/centos-stream-hyperscale-experimental-9.tpl b/mock/templates/centos-stream-hyperscale-experimental-9.tpl
new file mode 100644
index 0000000..61c9b33
--- /dev/null
+++ b/mock/templates/centos-stream-hyperscale-experimental-9.tpl
@@ -0,0 +1,11 @@
+config_opts['chroot_setup_cmd'] += " centos-release-hyperscale-experimental"
+
+config_opts['dnf.conf'] += """
+
+[Stream-hyperscale-experimental]
+name=CentOS Stream $releasever - Hyperscale Experimental
+baseurl=http://mirror.stream.centos.org/SIGs/$releasever-stream/hyperscale/$basearch/packages-experimental/
+gpgcheck=1
+enabled=1
+gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
+"""
diff --git a/mock/templates/centos-stream-hyperscale-spin-8.tpl b/mock/templates/centos-stream-hyperscale-spin-8.tpl
new file mode 100644
index 0000000..b944731
--- /dev/null
+++ b/mock/templates/centos-stream-hyperscale-spin-8.tpl
@@ -0,0 +1,11 @@
+config_opts['chroot_setup_cmd'] += " centos-release-hyperscale-spin"
+
+config_opts['dnf.conf'] += """
+
+[Stream-hyperscale-spin]
+name=CentOS Stream $releasever - Hyperscale Spin
+baseurl=http://mirror.centos.org/centos/$releasever-stream/hyperscale/$basearch/packages-spin/
+gpgcheck=1
+enabled=1
+gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
+"""
diff --git a/mock/templates/centos-stream-hyperscale-spin-9.tpl b/mock/templates/centos-stream-hyperscale-spin-9.tpl
new file mode 100644
index 0000000..6ec665a
--- /dev/null
+++ b/mock/templates/centos-stream-hyperscale-spin-9.tpl
@@ -0,0 +1,9 @@
+config_opts['chroot_setup_cmd'] += " centos-release-hyperscale-spin"
+
+[Stream-hyperscale-spin]
+name=CentOS Stream $releasever - Hyperscale Spin
+baseurl=http://mirror.stream.centos.org/SIGs/$releasever-stream/hyperscale/$basearch/packages-spin/
+gpgcheck=1
+enabled=1
+gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
+"""

From dc9b0fcd1cdb7a73cd419dd5648f0221ef7c583b Mon Sep 17 00:00:00 2001
From: Davide Cavalca <dcavalca@centosproject.org>
Date: Sep 06 2022 12:13:50 +0000
Subject: [PATCH 2/2] Add configs and templates for Facebook chroots


---

diff --git a/mock/centos-stream-hyperscale-facebook-8-aarch64.cfg b/mock/centos-stream-hyperscale-facebook-8-aarch64.cfg
new file mode 100644
index 0000000..89b4b12
--- /dev/null
+++ b/mock/centos-stream-hyperscale-facebook-8-aarch64.cfg
@@ -0,0 +1,14 @@
+include('templates/centos-stream-8.tpl')
+include('templates/epel-8.tpl')
+include('templates/epel-next-8.tpl')
+include('templates/centos-stream-hyperscale-8.tpl')
+include('templates/centos-stream-hyperscale-experimental-8.tpl')
+include('templates/centos-stream-hyperscale-facebook-8.tpl')
+
+config_opts['root'] = 'centos-stream-hyperscale-facebook-8-aarch64'
+config_opts['target_arch'] = 'aarch64'
+config_opts['legal_host_arches'] = ('aarch64',)
+
+config_opts['macros']['%dist'] = ".hs+fb.el8"
+config_opts['macros']['%centos_hs'] = "1"
+config_opts['macros']['%facebook'] = "1"
diff --git a/mock/centos-stream-hyperscale-facebook-8-x86_64.cfg b/mock/centos-stream-hyperscale-facebook-8-x86_64.cfg
new file mode 100644
index 0000000..02e50a0
--- /dev/null
+++ b/mock/centos-stream-hyperscale-facebook-8-x86_64.cfg
@@ -0,0 +1,14 @@
+include('templates/centos-stream-8.tpl')
+include('templates/epel-8.tpl')
+include('templates/epel-next-8.tpl')
+include('templates/centos-stream-hyperscale-8.tpl')
+include('templates/centos-stream-hyperscale-experimental-8.tpl')
+include('templates/centos-stream-hyperscale-facebook-8.tpl')
+
+config_opts['root'] = 'centos-stream-hyperscale-facebook-8-x86_64'
+config_opts['target_arch'] = 'x86_64'
+config_opts['legal_host_arches'] = ('x86_64',)
+
+config_opts['macros']['%dist'] = ".hs+fb.el8"
+config_opts['macros']['%centos_hs'] = "1"
+config_opts['macros']['%facebook'] = "1"
diff --git a/mock/centos-stream-hyperscale-facebook-9-aarch64.cfg b/mock/centos-stream-hyperscale-facebook-9-aarch64.cfg
new file mode 100644
index 0000000..2e19dbf
--- /dev/null
+++ b/mock/centos-stream-hyperscale-facebook-9-aarch64.cfg
@@ -0,0 +1,14 @@
+include('templates/centos-stream-9.tpl')
+include('templates/epel-9.tpl')
+include('templates/epel-next-9.tpl')
+include('templates/centos-stream-hyperscale-9.tpl')
+include('templates/centos-stream-hyperscale-experimental-9.tpl')
+include('templates/centos-stream-hyperscale-facebook-9.tpl')
+
+config_opts['root'] = 'centos-stream-hyperscale-facebook-9-aarch64'
+config_opts['target_arch'] = 'aarch64'
+config_opts['legal_host_arches'] = ('aarch64',)
+
+config_opts['macros']['%dist'] = ".hs+fb.el9"
+config_opts['macros']['%centos_hs'] = "1"
+config_opts['macros']['%facebook'] = "1"
diff --git a/mock/centos-stream-hyperscale-facebook-9-x86_64.cfg b/mock/centos-stream-hyperscale-facebook-9-x86_64.cfg
new file mode 100644
index 0000000..75b5094
--- /dev/null
+++ b/mock/centos-stream-hyperscale-facebook-9-x86_64.cfg
@@ -0,0 +1,14 @@
+include('templates/centos-stream-9.tpl')
+include('templates/epel-9.tpl')
+include('templates/epel-next-9.tpl')
+include('templates/centos-stream-hyperscale-9.tpl')
+include('templates/centos-stream-hyperscale-experimental-9.tpl')
+include('templates/centos-stream-hyperscale-facebook-9.tpl')
+
+config_opts['root'] = 'centos-stream-hyperscale-facebook-9-x86_64'
+config_opts['target_arch'] = 'x86_64'
+config_opts['legal_host_arches'] = ('x86_64',)
+
+config_opts['macros']['%dist'] = ".hs+fb.el9"
+config_opts['macros']['%centos_hs'] = "1"
+config_opts['macros']['%facebook'] = "1"
diff --git a/mock/templates/centos-stream-hyperscale-facebook-8.tpl b/mock/templates/centos-stream-hyperscale-facebook-8.tpl
new file mode 100644
index 0000000..fbb2f89
--- /dev/null
+++ b/mock/templates/centos-stream-hyperscale-facebook-8.tpl
@@ -0,0 +1,9 @@
+config_opts['dnf.conf'] += """
+
+[Stream-hyperscale-facebook]
+name=CentOS Stream $releasever - Hyperscale Facebook
+baseurl=http://mirror.centos.org/centos/$releasever-stream/hyperscale/$basearch/packages-facebook/
+gpgcheck=1
+enabled=1
+gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
+"""
diff --git a/mock/templates/centos-stream-hyperscale-facebook-9.tpl b/mock/templates/centos-stream-hyperscale-facebook-9.tpl
new file mode 100644
index 0000000..260ded1
--- /dev/null
+++ b/mock/templates/centos-stream-hyperscale-facebook-9.tpl
@@ -0,0 +1,9 @@
+config_opts['dnf.conf'] += """
+
+[Stream-hyperscale-facebook]
+name=CentOS Stream $releasever - Hyperscale Facebook
+baseurl=http://mirror.stream.centos.org/SIGs/$releasever-stream/hyperscale/$basearch/packages-facebook/
+gpgcheck=1
+enabled=1
+gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
+"""

